'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var iconsReact = require('@tabler/icons-react');
var core = require('@mantine/core');
var HeaderControl = require('./HeaderControl.cjs');

function DirectionControl() {
  const { toggleDirection, dir } = core.useDirection();
  return /* @__PURE__ */ jsxRuntime.jsx(
    HeaderControl.HeaderControl,
    {
      onClick: () => toggleDirection(),
      tooltip: `${dir === "ltr" ? "RTL" : "LTR"} direction`,
      children: dir === "rtl" ? /* @__PURE__ */ jsxRuntime.jsx(
        iconsReact.IconTextDirectionLtr,
        {
          style: { width: core.rem(22), height: core.rem(22), pointerEvents: "none" },
          stroke: 1.5
        }
      ) : /* @__PURE__ */ jsxRuntime.jsx(
        iconsReact.IconTextDirectionRtl,
        {
          style: { width: core.rem(22), height: core.rem(22), pointerEvents: "none" },
          stroke: 1.5
        }
      )
    }
  );
}

exports.DirectionControl = DirectionControl;
//# sourceMappingURL=DirectionControl.cjs.map
