'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var iconsReact = require('@tabler/icons-react');
var cx = require('clsx');
var core = require('@mantine/core');
var SearchControl_module = require('./SearchControl.module.css.cjs');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var cx__default = /*#__PURE__*/_interopDefault(cx);

function SearchControl({ className, ...others }) {
  return /* @__PURE__ */ jsxRuntime.jsx(core.UnstyledButton, { ...others, className: cx__default.default(SearchControl_module.root, className), children: /* @__PURE__ */ jsxRuntime.jsxs(core.Group, { gap: "xs", children: [
    /* @__PURE__ */ jsxRuntime.jsx(iconsReact.IconSearch, { style: { width: core.rem(15), height: core.rem(15) }, stroke: 1.5 }),
    /* @__PURE__ */ jsxRuntime.jsx(core.Text, { fz: "sm", c: "dimmed", pr: 80, children: "Search" }),
    /* @__PURE__ */ jsxRuntime.jsx(core.Text, { fw: 700, className: SearchControl_module.shortcut, children: "Ctrl + K" })
  ] }) });
}

exports.SearchControl = SearchControl;
//# sourceMappingURL=SearchControl.cjs.map
