'use client';
import { jsx } from 'react/jsx-runtime';
import { DiscordIcon } from '@mantinex/dev-icons';
import { HeaderControl } from './HeaderControl.mjs';
import classes from './DiscordControl.module.css.mjs';

function DiscordControl({ link }) {
  return /* @__PURE__ */ jsx(HeaderControl, { tooltip: "Discord", component: "a", href: link, className: classes.discord, children: /* @__PURE__ */ jsx(DiscordIcon, { size: 20 }) });
}

export { DiscordControl };
//# sourceMappingURL=DiscordControl.mjs.map
