'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cx = require('clsx');
var core = require('@mantine/core');
var HeaderControl_module = require('./HeaderControl.module.css.cjs');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var cx__default = /*#__PURE__*/_interopDefault(cx);

function _HeaderControl({
  tooltip,
  className,
  "aria-label": label,
  ...others
}) {
  return /* @__PURE__ */ jsxRuntime.jsx(core.Tooltip, { label: tooltip, children: /* @__PURE__ */ jsxRuntime.jsx(
    core.UnstyledButton,
    {
      className: cx__default.default(HeaderControl_module.control, className),
      "aria-label": label || tooltip,
      ...others
    }
  ) });
}
const HeaderControl = core.createPolymorphicComponent(
  _HeaderControl
);

exports.HeaderControl = HeaderControl;
//# sourceMappingURL=HeaderControl.cjs.map
