'use client';
import { jsx } from 'react/jsx-runtime';
import { IconSearch } from '@tabler/icons-react';
import { rem } from '@mantine/core';
import { HeaderControl } from './HeaderControl.mjs';

function SearchMobileControl({ onSearch }) {
  return /* @__PURE__ */ jsx(HeaderControl, { onClick: () => onSearch(), tooltip: "Search", children: /* @__PURE__ */ jsx(IconSearch, { style: { width: rem(22), height: rem(22) }, stroke: 1.5 }) });
}

export { SearchMobileControl };
//# sourceMappingURL=SearchMobileControl.mjs.map
