'use client';
import { jsx } from 'react/jsx-runtime';
import { IconHeartFilled } from '@tabler/icons-react';
import { rem } from '@mantine/core';
import { HeaderControl } from './HeaderControl.mjs';
import classes from './SupportControl.module.css.mjs';

function SupportControl() {
  return /* @__PURE__ */ jsx(
    HeaderControl,
    {
      component: "a",
      href: "https://opencollective.com/mantinedev",
      tooltip: "Sponsor",
      "aria-label": "Sponsor",
      className: classes.support,
      children: /* @__PURE__ */ jsx(IconHeartFilled, { style: { width: rem(22), height: rem(22) } })
    }
  );
}

export { SupportControl };
//# sourceMappingURL=SupportControl.mjs.map
